> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.paradex.trade/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.paradex.trade/_mcp/server.

# Get vault summary

GET https://api.testnet.paradex.trade/v1/vaults/summary

Get vaults summary metrics for all vaults or for the single vault specified by address.


Reference: https://docs.paradex.trade/api/prod/vaults/get-summary

## Request

### Query parameters

- `address` (string, optional) — Vault Address

## Response

### 200

OK

- `results` (list of responses.VaultSummaryResp, optional) — Array of results

## Errors

### 400 Bad Request Error

Bad Request

- `data` (ResponsesApiErrorData, optional) — any additional data related to the error
- `error` (enum, optional) — unique immutable string identifier for specific error
  - Allowed values: `VALIDATION_ERROR`, `BINDING_ERROR`, `INTERNAL_ERROR`, `NOT_FOUND`, `SERVICE_UNAVAILABLE`, `INVALID_REQUEST_PARAMETER`, `ORDER_ID_NOT_FOUND`, `ORDER_IS_CLOSED`, `ORDER_IS_NOT_OPEN`, `INVALID_ORDER_SIZE`, `CLIENT_ORDER_ID_NOT_FOUND`, `DUPLICATED_CLIENT_ID`, `INVALID_PRICE_PRECISION`, `INVALID_SYMBOL`, `INVALID_TOKEN`, `INVALID_ETHEREUM_ADDRESS`, `INVALID_ETHEREUM_SIGNATURE`, `INVALID_STARKNET_ADDRESS`, `INVALID_STARKNET_SIGNATURE`, `STARKNET_SIGNATURE_VERIFICATION_FAILED`, `BAD_STARKNET_REQUEST`, `ETHEREUM_SIGNER_MISMATCH`, `ETHEREUM_HASH_MISMATCH`, `NOT_ONBOARDED`, `INVALID_TIMESTAMP`, `INVALID_BLOCK_EXPIRATION`, `ACCOUNT_NOT_FOUND`, `INVALID_ORDER_SIGNATURE`, `PUBLIC_KEY_INVALID`, `UNAUTHORIZED_ETHEREUM_ADDRESS`, `UNAUTHORIZED_ERROR`, `ETHEREUM_ADDRESS_ALREADY_ONBOARDED`, `MARKET_NOT_FOUND`, `ALLOWLIST_ENTRY_NOT_FOUND`, `USERNAME_IN_USE`, `GEO_IP_BLOCK`, `ETHEREUM_ADDRESS_BLOCKED`, `PROGRAM_NOT_FOUND`, `PROGRAM_NOT_SUPPORTED`, `INVALID_DASHBOARD`, `MARKET_NOT_OPEN`, `INVALID_REFERRAL_CODE`, `REQUEST_NOT_ALLOWED`, `PARENT_ADDRESS_ALREADY_ONBOARDED`, `INVALID_PARENT_ACCOUNT`, `INVALID_VAULT_OPERATOR_CHAIN`, `VAULT_OPERATOR_ALREADY_ONBOARDED`, `VAULT_NAME_IN_USE`, `VAULT_NOT_FOUND`, `VAULT_STRATEGY_NOT_FOUND`, `VAULT_LIMIT_REACHED`, `BATCH_SIZE_OUT_OF_RANGE`, `ISOLATED_MARKET_ACCOUNT_MISMATCH`, `NO_ACCESS_TO_MARKET`, `POINTS_SUMMARY_NOT_FOUND`, `ALGO_ID_NOT_FOUND`, `INVALID_DERIVATION_PATH`, `PROFILE_STATS_NOT_FOUND`, `INVALID_CHAIN`, `INVALID_LAYERSWAP_SWAP`, `INVALID_RHINOFI_REQUEST`, `INVALID_RHINOFI_QUOTE`, `INVALID_RHINOFI_QUOTE_COMMIT`, `SOCIAL_USERNAME_IN_USE`, `INVALID_OAUTH_REQUEST`, `RPI_ACCOUNT_NOT_WHITELISTED`, `SYSTEM_STATUS_POST_ONLY`, `SYSTEM_STATUS_CANCEL_ONLY`, `INVALID_MARKETING_CODE`, `INVALID_JOIN_WAITLIST_REQUEST`, `TRANSACTION_NOT_FOUND`, `OFFER_NOT_FOUND`, `MARKET_MARGIN_RESTRICTED`, `NOT_UNIQUE`, `ACCOUNT_ALREADY_REFERRED`, `ONBOARDING_PERIOD_EXPIRED`, `ONBOARDING_RATE_LIMITED`, `SUBACCOUNTS_LIMIT_EXCEEDED`, `INSUFFICIENT_MIN_CHAIN_BALANCE`, `INVALID_SUBKEY`, `TOKEN_LIMIT_REACHED`, `INVALID_TOKEN_SCOPE`, `INSUFFICIENT_TRANSFERRABLE_XP`, `TRANSFER_LIMIT_REACHED`
- `message` (string, optional) — detailed description of error and how to address it

## Types

### responses.VaultSummaryResp

- `address` (string, optional) — Contract address of the vault
- `last_month_return` (string, optional) — APR return of the vault in the last trailing month in percentage, i.e. 0.1 means 10%
- `max_drawdown` (string, optional) — Max all time drawdown realized by the vault in percentage, i.e. 0.1 means 10%
- `max_drawdown_24h` (string, optional) — Max drawdown realized by the vault in the last 24 hours in percentage, i.e. 0.1 means 10%
- `max_drawdown_30d` (string, optional) — Max drawdown realized by the vault in the last 30 days in percentage, i.e. 0.1 means 10%
- `max_drawdown_7d` (string, optional) — Max drawdown realized by the vault in the last 7 days in percentage, i.e. 0.1 means 10%
- `net_deposits` (string, optional) — Net deposits of the vault in USDC
- `num_depositors` (integer, optional) — Number of depositors on the vault
- `owner_equity` (string, optional) — Vault equity of the owner (% of ownership) in percentage, i.e. 0.1 means 10%
- `pnl_24h` (string, optional) — P&L of the vault in the last 24 hours in USD
- `pnl_30d` (string, optional) — P&L of the vault in the last 30 days in USD
- `pnl_7d` (string, optional) — P&L of the vault in the last 7 days in USD
- `roi_24h` (string, optional) — Return of the vault in the last 24 hours in percentage, i.e. 0.1 means 10%
- `roi_30d` (string, optional) — Return of the vault in the last 30 days in percentage, i.e. 0.1 means 10%
- `roi_7d` (string, optional) — Return of the vault in the last 7 days in percentage, i.e. 0.1 means 10%
- `total_pnl` (string, optional) — Total P&L of the vault in USD
- `total_roi` (string, optional) — Total ROI of the vault in percentage, i.e. 0.1 means 10%
- `tvl` (string, optional) — Total Value Locked (deposits + unrealized PnL) in USDC
- `volume` (string, optional) — All time volume traded by the vault in USD
- `volume_24h` (string, optional) — Volume traded by the vault in the last 24 hours in USD
- `volume_30d` (string, optional) — Volume traded by the vault in the last 30 days in USD
- `volume_7d` (string, optional) — Volume traded by the vault in the last 7 days in USD
- `vtoken_price` (string, optional) — Current value of vault token price in USD
- `vtoken_supply` (string, optional) — Total amount of available vault tokens

### ResponsesApiErrorData

any additional data related to the error

## Examples

**Response**

```json
{
  "results": [
    {
      "address": "0x1234567890abcdef",
      "last_month_return": "0.023",
      "max_drawdown": "0.1916",
      "max_drawdown_24h": "0.0138",
      "max_drawdown_30d": "0.1821",
      "max_drawdown_7d": "0.1124",
      "net_deposits": "1000000",
      "num_depositors": 100,
      "owner_equity": "0.145",
      "pnl_24h": "13.41",
      "pnl_30d": "114.19",
      "pnl_7d": "91.31",
      "roi_24h": "0.034",
      "roi_30d": "0.003",
      "roi_7d": "0.123",
      "total_pnl": "149.12",
      "total_roi": "0.724",
      "tvl": "1000000",
      "volume": "12345678.16",
      "volume_24h": "45678.16",
      "volume_30d": "2345678.16",
      "volume_7d": "345678.16",
      "vtoken_price": "1.23",
      "vtoken_supply": "1000000"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.testnet.paradex.trade/v1/vaults/summary"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.testnet.paradex.trade/v1/vaults/summary';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.testnet.paradex.trade/v1/vaults/summary"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.testnet.paradex.trade/v1/vaults/summary")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.testnet.paradex.trade/v1/vaults/summary")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.testnet.paradex.trade/v1/vaults/summary');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.testnet.paradex.trade/v1/vaults/summary");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.testnet.paradex.trade/v1/vaults/summary")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```